List all services connected to a service registry
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/connected_services
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/connected_servicesInteractive request editor loads with JavaScript.
In: header
Path Parameters
Service registry ID.
1 <= lengthGateway group ID.
1 <= lengthQuery Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order services by.
"updated_at"Value in
- "created_at"
- "updated_at"
- "publish_time"
- "name"
Response Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/connected_services"Successfully retrieved the list of services connected to this service registry.
{
"total": 1,
"list": [
{
"name": "us-west-rsc",
"labels": {
"version": "v2",
"env": "prod"
},
"desc": "Object description.",
"type": "http",
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"apisix_service_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"service_id": "b32e678e-7f6b-4a50-b113-550621ed4c01",
"version": "1.3.2",
"created_at": 1742288232,
"updated_at": 1742288235,
"gateway_group_name": "us-west-rsc",
"gateway_group_id": "bc1b95c9-b348-4832-acc3-e257d2342df1",
"unhealthy_nodes_count": 0,
"status": 0,
"system_plugins": {
"portal-auth": {
"rules": []
}
}
}
]
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/connected_services
List all services connected to a service registry
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order services by.service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.
Responses
-
200: Successfully retrieved the list of services connected to this service registry. -
allOf variant 1
-
list(array, optional): An array of resources. -
total(integer, optional): Total number of objects. -
allOf variant 2
-
list(array, optional): An array of service versions. -
allOf variant 1
-
allOf variant 1
-
allOf variant 1
-
list[].name(string, optional): The object name. -
list[].labels(object, optional): Key-value pairs of labels. -
list[].desc(string, optional): The object description. -
list[].type(string, optional): Type of service.httpcorresponds to L7 service andstreamcorresponds to L4 service. -
allOf variant 2
-
list[].id(string, optional): The object ID. -
list[].apisix_service_id(string, optional): The object ID. -
list[].service_id(string, optional): The service ID. -
list[].version(string, optional): Service version. -
list[].created_at(integer, optional): The time (first release) when a service version is created. -
list[].updated_at(integer, optional): The time when a service version is updated. -
allOf variant 2
-
list[].gateway_group_name(string, optional): The object name. -
list[].gateway_group_id(string, optional): The gateway group ID. -
list[].unhealthy_nodes_count(integer, optional): Unhealthy nodes count. -
list[].status(integer, optional): The object status. 1 means the object is active while 0 means it's inactive. -
list[].system_plugins(object, optional): Key-value pairs of system-managed plugins and their configurations. -
400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/connected_services'